
Steps required to manually install this plugin:

From your machine (assuming ~/.ssh/google_compute_engine is your ssh key):
rsync -avz --rsync-path='$([ -d /tmp/example-plugin/ ] || mkdir -p /tmp/example-plugin/) && rsync' -e "ssh -A -i ~/.ssh/google_compute_engine" /Users/devonallison/code2/PlugInExample/build/distributions/Example-plugin-1.0.0-Manual.tgz  <target-machine-ip>:/tmp/example-plugin/
(the ip shown is for devonallison-machine-name; adjust appropriately)

Then, ssh into your remote machine:
ssh -A -i ~/.ssh/google_compute_engine <target-machine-ip>

As irisadmin user (sudo -u irisadmin bash):
rm -rf /etc/sysconfig/deephaven/plugins/example-plugin
mkdir -p /etc/sysconfig/deephaven/plugins/example-plugin
tar -xvf /tmp/example-plugin/Example-plugin-1.0.0-Manual.tgz -C /etc/sysconfig/deephaven/plugins/example-plugin

Now, run the activate.sh script:
/etc/sysconfig/deephaven/plugins/example-plugin/bin/activate.sh --all
If you have root, put a sudo in front of that command.  
If you do not have root, this script may print some ugly warnings that you can ignore.  

Note that you can pass --all if you want to install all plugin components,
or use other arguments for more fine-grained activation of plugin features.



Your schemas will be automatically imported upon running `activate.sh --schema` or `activate.sh --all`.

Then, run `sudo /usr/sbin/service iris generate_loggers_listeners`.
Finally, if you are on a system using monit:
run `monit reload`
then, during a time when you can ensure that you are not importing any data,
restart the data import server via `monit restart db_dis`.

**Do not run `monit restart db_dis` while the system is performing any data imports.**



Finally, if you are deploying to a system with iris version < 1.20180629.012,  
you will need to apply the hotfix for this version,  
or do the dirty deed of manually editing /usr/illumon/latest/bin/launch_function
(the following code must be present for classpaths to be upgraded for plugins):  

 # The line below will already be there, and you should add the rest below it
 CLASSPATH="$DEVROOT/etc:$CLASSPATH"

  for f in /usr/illumon/plugins/*/global/*; do
      CLASSPATH="$f:$CLASSPATH"
  done
  # Customer plugins override system plugins.
  for f in /etc/sysconfig/illumon.d/plugins/*/global/*; do
      CLASSPATH="$f:$CLASSPATH"
  done


And, that's it, you should be done.

(Set skipInstructions=true in gradle.properties to prevent printing this message)

